cordova.define("com.servyou.aliyunpush.aliyunpush", function(require, exports, module) {
var AliYunPush = (function () {
  return {
    Init: function (callback, args) {
      cordova.exec(callback, null, "AliYunPush", "AliYunPush_init", [args]);
    },
    MsgClickCallback: function (successCallback, errorCallback) {
        cordova.exec(successCallback, errorCallback, "AliYunPush", "MsgClickCallback", []);
    },
    SetAlias: function (aliasName, successCallback, errorCallback) {
        cordova.exec(successCallback, errorCallback, "AliYunPush", "SetAlias", [aliasName]);
    },
    RemoveAlias: function (successCallback, errorCallback) {
        cordova.exec(successCallback, errorCallback, "AliYunPush", "RemoveAlias", []);
    },
    CheckNotifyPermission: function (successCallback, errorCallback) {
        cordova.exec(successCallback, errorCallback, "AliYunPush", "CheckNotifyPermission", []);
    },
    OpenNotifySetting: function (successCallback, errorCallback) {
        cordova.exec(successCallback, errorCallback, "AliYunPush", "OpenNotifySetting", []);
    },
    GetDeviceID: function (successCallback, errorCallback) {
        cordova.exec(successCallback, errorCallback, "AliYunPush", "GetDeviceID", []);
    },
    SettingIconBadgeNumber: function (options, successCallback, errorCallback) {
      cordova.exec(successCallback, errorCallback, "AliYunPush", "SettingIconBadgeNumber", [options || 0]);
    },
    SettingScore: function (successCallback, errorCallback) {
      cordova.exec(successCallback, errorCallback, "AliYunPush", "SettingScore", []);
    },
    ClearCacheResponse: function (successCallback, errorCallback) {
      cordova.exec(successCallback, errorCallback, "AliYunPush", "ClearCacheResponse", []);
    },
  }
}())

if (!window.plugins) {
  window.plugins = {};
}

window.plugins.AliYunPush = AliYunPush;

module.exports = AliYunPush;

});
