cordova.define("com.servyou.launchhotcode.hotCode", function(require, exports, module) {
var LaunchHotCode = (function () {
  return {

    checkUpdateStatus: function (params, successCallback, errorCallback) {
      
        cordova.exec(successCallback, errorCallback, "LaunchHotCode", "jsCheckUpdateStatus", [params]);
    },
    updateCompleteStatus: function (params, successCallback, errorCallback) {
      
        cordova.exec(successCallback, errorCallback, "LaunchHotCode", "jsUpdateCompleteStatus", [params]);
    },
    saveHotFixFlag: function (params, successCallback, errorCallback) {
        
        cordova.exec(successCallback, errorCallback, "LaunchHotCode", "saveHotFixFlag", [params]);
    },
    queryHotFixFlag: function (params, successCallback, errorCallback) {
    
      cordova.exec(successCallback, errorCallback, "LaunchHotCode", "queryHotFixFlag", [params]);
    },
    showWebViewLoading: function(params, successCallback, errorCallback) {
      cordova.exec(null, null, 'CDVWKWebViewEngine', 'startLoading', [params])
    },
    hideWebViewLoading: function(params, successCallback, errorCallback) {
      cordova.exec(null, null, "CDVWKWebViewEngine", "stopLoading", [params]);
    },
    hotCodeAnalytics: function(params, successCallback, errorCallback) {
      cordova.exec(successCallback, errorCallback, "LaunchHotCode", "hotCodeAnalytics", [params]);
    },
    installCompleteStatus: function(params, successCallback, errorCallback) {
      cordova.exec(successCallback, errorCallback, "LaunchHotCode", "jsInstallCompleteStatus", [params]);
    },
    resourceRedirect: function(params, successCallback, errorCallback) {
      cordova.exec(successCallback, errorCallback, "LaunchHotCode", "jsResourceRedirect", [params]);
    },
  }
}())

if (!window.plugins) {
  window.plugins = {};
}

window.plugins.LaunchHotCode = LaunchHotCode;

module.exports = LaunchHotCode;
});
